Package org.bukkit.block.data

# Interface Orientable

All Superinterfaces:
  `BlockData`, `Cloneable`

All Known Subinterfaces:
  `Chain`

public interface Orientable extends BlockData
'axis' represents the axis along whilst this block is oriented.
Some blocks such as the portal block may not be able to be placed in all orientations, use `getAxes()` to retrieve all possible such orientations.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Set<Axis>`
`getAxes()`
Gets the axes which are applicable to this block.
`@NotNull Axis`
`getAxis()`
Gets the value of the 'axis' property.
`void`
`setAxis(@NotNull Axis axis)`
Sets the value of the 'axis' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

## Method Details

### getAxis

@NotNull @NotNull Axis getAxis()
Gets the value of the 'axis' property.

Returns:
  the 'axis' value

### setAxis

void setAxis(@NotNull @NotNull Axis axis)
Sets the value of the 'axis' property.

Parameters:
  `axis` - the new 'axis' value

### getAxes

@NotNull @NotNull Set<Axis> getAxes()
Gets the axes which are applicable to this block.

Returns:
  the allowed 'axis' values